// dllmain.h : Declaration of module class.

#include <HtmlHelp.h>

EXTERN_C const IID LIBID_OutlookReaderLib;

class COutlookReaderModule : public CAtlDllModuleT< COutlookReaderModule >
{
   static HINSTANCE m_hInstance;
   static CComBSTR  m_bstrHelpPath;
public :
	DECLARE_LIBID(LIBID_OutlookReaderLib)
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_OUTLOOKREADER, "{35C3A632-AE11-4DBE-82D6-704EA9255B84}")
   
   static void         SetInstance( HINSTANCE hInstance ) { m_hInstance = hInstance; }
   static HINSTANCE    GetInstance() { return m_hInstance; }

   static unsigned int LoadString( CComBSTR& rStr, int nStringID );

   static bool         GenerateHelpPath();
   static void         HtmlHelp( DWORD_PTR dwData, UINT nCmd = HH_HELP_CONTEXT );
};

extern class COutlookReaderModule _AtlModule;
